Note: This is a public test instance of Red Hat Bugzilla. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback at bugzilla.redhat.com.
Bug 1464158 (CVE-2017-9735) - CVE-2017-9735 jetty: Timing channel attack in util/security/Password.java
Summary: CVE-2017-9735 jetty: Timing channel attack in util/security/Password.java
Keywords:
Status: CLOSED WONTFIX
Alias: CVE-2017-9735
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 1464159
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-06-22 14:30 UTC by Andrej Nemec
Modified: 2021-10-04 09:31 UTC (History)
13 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-07-05 08:00:06 UTC
Embargoed:


Attachments (Terms of Use)

Description Andrej Nemec 2017-06-22 14:30:09 UTC
Jetty is prone to a timing channel attack in util/security/Password.java, which makes it easier for remote attackers to obtain access by observing elapsed times before rejection of incorrect passwords.

Upstream issue:

https://github.com/eclipse/jetty.project/issues/1556

Upstream patch:

https://github.com/eclipse/jetty.project/commit/042f325f1cd6e7891d72c7e668f5947b5457dc02

Comment 1 Andrej Nemec 2017-06-22 14:30:41 UTC
Created jetty tracking bugs for this issue:

Affects: fedora-all [bug 1464159]

Comment 4 Dhiru Kholia 2017-07-05 07:59:13 UTC
Statement:

Red Hat Product Security has rated this issue as having Moderate security impact. This issue is not currently planned to be addressed in future updates. For additional information, refer to the Issue Severity Classification: https://access.redhat.com/security/updates/classification/


Note You need to log in before you can comment on or make changes to this bug.